WorldViz User Forum  

Go Back   WorldViz User Forum > Vizard

Reply
 
Thread Tools Rating: Thread Rating: 5 votes, 5.00 average. Display Modes
  #1  
Old 10-07-2009, 11:35 AM
kay kay is offline
Member
 
Join Date: Oct 2009
Posts: 10
ERROR: Failed to initialize python

I get the following error message, when trying to run any script:

'import site' failed; use -v for traceback
Traceback (most recent call last):
File "<string>", line 1, in ?
File "C:\PYTHON26\LIB\os.py", line 757
bs = b""
^
SyntaxError: invalid syntax
Traceback (most recent call last):
File "<string>", line 1, in ?
File "C:\Programme\WorldViz\Vizard30/python\viz.py", line 10, in ?
import os
File "C:\PYTHON26\LIB\os.py", line 757
bs = b""
^
SyntaxError: invalid syntax
** ERROR: Failed to initialize python



Apparently Vizard tries to use the Python 2.6 installation in stead of it's own installation of Python 2.4!?
Do I need to change the Python search path for Vizard 3.0?
How could this be changed?


Thanks
Reply With Quote
  #2  
Old 10-07-2009, 11:51 AM
farshizzo farshizzo is offline
WorldViz Team Member
 
Join Date: Mar 2003
Posts: 2,849
This sounds like you have either the PYTHONPATH or PYTHONHOME environment variables pointing to your Python 2.6 installation. I would recommend removing these environment variables. They are generally not needed and will cause problems if you have multiple Python versions installed on your machine.
Reply With Quote
Reply

Thread Tools
Display Modes Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Vizard tech tip: Using the Python Imaging Library (PIL) Jeff Vizard 0 03-23-2009 11:13 AM
IE cannot display form response page from python server Gladsomebeast Vizard 2 12-01-2008 09:12 PM
python 2.4 instead of 2.3? perselletje Vizard 7 03-14-2006 11:06 AM
Extending Python With C++ Vygreif Vizard 2 01-18-2006 09:21 AM
Use Vizard 2.5 with Python 2.4.1 / IDLE 1.1.1 Gilliard Vizard 4 08-04-2005 11:49 PM


All times are GMT -7. The time now is 11:38 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Copyright 2002-2018 WorldViz LLC